|<style>
|    body {
|        background: rgb(204,204,204); 
|    }
|    page[size="A4"] {
|        background: white;
|        width: 30.2cm;
|        height: 40.7cm;
|        display: block;
|        margin: 0 auto;
|        margin-bottom: 0.5cm;
|        padding-top: 0.5cm;
|        box-shadow: 0 0 0.5cm rgba(0,0,0,0.5);
|    }
|    @media print {
|        body, page[size="A4"] {
|            margin: 0;
|            box-shadow: 0;
|        }
|    }
|   .container-fluid {
|       font-size: 22px;
|       font-family: "Times New Roman"           
|   }
|   td.td-left{
|       width: 25%;
|       font-size: 14px;
|       padding-left: 0px;
|       margin-left: 0px;
|   }
|</style>
|<script src="https://cdnjs.cloudflare.com/ajax/libs/jspdf/1.5.3/jspdf.debug.js" integrity="sha384-NaWTHo/8YCBYJ59830LTz/P4aQZK1sS0SneOgAvhsIl3zBu8r9RevNg5lHCHAuQ/" crossorigin="anonymous"></script>
|<script src="https://cdnjs.cloudflare.com/ajax/libs/html2canvas/0.4.1/html2canvas.min.js"></script>
<page size="A4">
.container-fluid class="m-0"
    .row
        .col-5
            .row
                |<div class="col-2"><img style="max-height: 70px; max-width: 70px;" src="https://pkh.vn/logo_bvdhyd_square.png"/></div>
                |<div class="col-9 ml-2" style="font-size: 13px;"><strong>BỆNH VIỆN ĐẠI HỌC Y DƯỢC TP.HCM</strong><br/>
                |215 Hồng Bàng - QUận 5 - TP. Hồ Chí Minh<br/>
                |ĐT: 028.38554269, Website: www.bvdh.com.vn<br/>
                |Email: bvdh@bvdaihoc.com.vn</div>
        .col-7
            .col-5 class="float-right"
                <img class="float-right" style="max-height: 40px;" src="#{ BASE_URL + '/api/resource/barcode?height=80&width=370&bvdhyd_msbn=' + toathuoc.SoHS}" /><br/>
                |<span class="float-right">Số hồ sơ: <strong>#{toathuoc.SoHS}</strong></span>
    |<br/>
    .col-12 class="text-center" 
        h1 <strong>TOA THUỐC</strong>
    .col-12 class="p-0 m-0"
        table class="table table-sm table-borderless p-0 m-0"
            tr style="height: 900px;"
                td class="td-left" rowspan="2" style="border-right: 1px solid black"
                    |<strong>#{toathuoc.result["Dataset"]["InToaThuoc3"]["TieuDeQuangCaoTrai"].html_safe}</strong><br/>
                    |#{toathuoc.result["Dataset"]["InToaThuoc3"]["NoiDungQuangCaoTrai"].gsub("\n","<br/>").html_safe}<br/>
                    |<br/><strong>Chức năng phòng khám</strong><br/>
                    |#{toathuoc.result["Dataset"]["InToaThuoc3"]["NoiDungQuangCaoDuoi"].gsub("\n","<br/>").html_safe}<br/>
                td 
                    |Họ tên: <strong>#{toathuoc.result["Dataset"]["InToaThuoc1"]["TenBN"]}</strong> &nbsp;&nbsp;&nbsp;&nbsp; Giới tính: #{toathuoc.result["Dataset"]["InToaThuoc1"]["GioiTinh"]}, #{toathuoc.result["Dataset"]["InToaThuoc1"]["Tuoi"]} 
                    |<br/>Địa chỉ: #{toathuoc.result["Dataset"]["InToaThuoc1"]["DiaChi"]}
                    |<br/>#{toathuoc.result["Dataset"]["Parameter"]["SinhHieu"]}
                    |<br/>Chẩn đoán: #{toathuoc.result["Dataset"]["InToaThuoc1"]["ChuanDoan"]}
                    |<br/>
                    <table style="width: 100%">
                    - toathuoc.result["Dataset"]["InToaThuoc2"].each do |e|
                        tr
                            td #{e["Stt"]}
                            td 
                                |<strong>#{e["TenThuoc"]}</strong><br/>
                                |#{e["GhiChu"]}
                            td #{e["SoVien"]}
                    </table>
            tr style="height: 200px;"
                td style="margin-top: 50px; padding-bottom: 0px; padding-left: 0px"
                    <table style="width: 100%">
                        tr
                            td style="padding-left: 10px; width: 500px"
                                |<strong>Lời dặn:</strong><br/>
                                |<i>#{toathuoc.result["Dataset"]["InToaThuoc1"]["LoiDan"]}</i><br/><br/>
                            td rowspan="2" class="text-center"
                                |<i>#{toathuoc.result["Dataset"]["InToaThuoc1"]["NgayLap"]}</i><br/>
                                |<strong>Bác sĩ điều trị</strong><br/><br/><br/><br/>
                                |<strong>#{toathuoc.result["Dataset"]["InToaThuoc1"]["BacSiKham"]}</strong>
                        tr
                            td  style="padding-left: 10px;" class="pr-5"
                                |<strong>Tái khám: </strong><i>#{toathuoc.result["Dataset"]["InToaThuoc1"]["NgayTaiKham"]}<br/>
                                |#{toathuoc.result["Dataset"]["InToaThuoc1"]["NoiTaiKham"]}</i>
                        tr
                            td colspan="2" class="m-0 p-0" style="font-size: 14px; border-top: 1px solid black"
                                |#{toathuoc.result["Dataset"]["Parameter"]["strFooter"].html_safe}
                    </table>
            tr
                td colspan="2"
                    |<span style="font-size: 14px;">#{toathuoc.result["Dataset"]["Parameter"]["strFooterGhiChu"].html_safe}</span>

</page>

|<script type="text/javascript">
|   $(document).ready(function(){
|        var doc = new jsPDF('p', 'pt', 'a4');
|        margins = {
|           top: 0,
|           left: 0,
|           width: 1240,
|           height: 1754
|        };
|        doc.fromHTML(
|        "",
|        margins.left,
|        margins.top, {
|            width: margins.width
|        },
|        function(dispose) {
|            
|        },
|        margins
|        );
|       doc.addHTML(document.body,function() {
/ |            doc.save('web.pdf');
|       });
|   });
|</script>